Package org.h2gis.functions.spatial.create

# Class ST_Expand

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.create.ST_Expand

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Expand extends org.h2gis.api.DeterministicScalarFunction
Expands a geometry's envelope by the given delta X and delta Y.

Author:
  Erwan Bocher, Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Expand()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`expand(org.locationtech.jts.geom.Geometry geometry, double delta)`
Expands a geometry's envelope by the given delta X and delta Y.
`static org.locationtech.jts.geom.Geometry`
`expand(org.locationtech.jts.geom.Geometry geometry, double deltaX, double deltaY)`
Expands a geometry's envelope by the given delta X and delta Y.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Expand

public ST_Expand()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### expand

public static org.locationtech.jts.geom.Geometry expand(org.locationtech.jts.geom.Geometry geometry, double delta)
Expands a geometry's envelope by the given delta X and delta Y. Both positive and negative distances are supported.

Parameters:
  `geometry` - the input geometry
  `delta` - the distance to expand the envelope along the X and Y axis
Returns:
  the expanded geometry

### expand

public static org.locationtech.jts.geom.Geometry expand(org.locationtech.jts.geom.Geometry geometry, double deltaX, double deltaY)
Expands a geometry's envelope by the given delta X and delta Y. Both positive and negative distances are supported.

Parameters:
  `geometry` - the input geometry
  `deltaX` - the distance to expand the envelope along the X axis
  `deltaY` - the distance to expand the envelope along the Y axis
Returns:
  the expanded geometry